JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ReverbAudioSource Class Reference
juce_audio_basics » sources

An AudioSource that uses the Reverb class to apply a reverb to another AudioSource. More...

`#include <juce_ReverbAudioSource.h>`

Inheritance diagram for ReverbAudioSource:

## Public Member Functions
| ReverbAudioSource (AudioSource *inputSource, bool deleteInputWhenDeleted)
| Creates a ReverbAudioSource to process a given input source.
| ~ReverbAudioSource () override
| Destructor.
const Reverb::Parameters & | getParameters () const noexcept
| Returns the parameters from the reverb.
void | setParameters (const Reverb::Parameters &newParams)
| Changes the reverb's parameters.
void | setBypassed (bool isBypassed) noexcept
bool | isBypassed () const noexcept
void | prepareToPlay (int samplesPerBlockExpected, double sampleRate) override
| Tells the source to prepare for playing.
void | releaseResources () override
| Allows the source to release anything it no longer needs after playback has stopped.
void | getNextAudioBlock (const AudioSourceChannelInfo &) override
| Called repeatedly to fetch subsequent blocks of audio data.
Public Member Functions inherited from AudioSource
virtual | ~AudioSource ()=default
| Destructor.

## Additional Inherited Members
Protected Member Functions inherited from AudioSource
| AudioSource ()=default
| Creates an AudioSource.

## Detailed Description

An AudioSource that uses the Reverb class to apply a reverb to another AudioSource.

See also
  Reverb

## Constructor & Destructor Documentation

## ◆ ReverbAudioSource()

ReverbAudioSource::ReverbAudioSource | ( | AudioSource * | inputSource,
|  | bool | deleteInputWhenDeleted )

Creates a ReverbAudioSource to process a given input source.

Parameters

  inputSource | the input source to read from - this must not be null
  deleteInputWhenDeleted | if true, the input source will be deleted when this object is deleted

## ◆ ~ReverbAudioSource()

ReverbAudioSource::~ReverbAudioSource | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ getParameters()

const Reverb::Parameters & ReverbAudioSource::getParameters | ( |  | ) | const
| noexcept

Returns the parameters from the reverb.

## ◆ setParameters()

void ReverbAudioSource::setParameters | ( | const Reverb::Parameters & | newParams | ) |

Changes the reverb's parameters.

## ◆ setBypassed()

void ReverbAudioSource::setBypassed | ( | bool | isBypassed | ) |
| noexcept

## ◆ isBypassed()

bool ReverbAudioSource::isBypassed | ( |  | ) | const
| noexcept

## ◆ prepareToPlay()

void ReverbAudioSource::prepareToPlay | ( | int | samplesPerBlockExpected,
|  | double | sampleRate )
| override virtual

Tells the source to prepare for playing.

An AudioSource has two states: prepared and unprepared.

The prepareToPlay() method is guaranteed to be called at least once on an 'unprepared' source to put it into a 'prepared' state before any calls will be made to getNextAudioBlock(). This callback allows the source to initialise any resources it might need when playing.

Once playback has finished, the releaseResources() method is called to put the stream back into an 'unprepared' state.

Note that this method could be called more than once in succession without a matching call to releaseResources(), so make sure your code is robust and can handle that kind of situation.

Parameters

  samplesPerBlockExpected | the number of samples that the source will be expected to supply each time its getNextAudioBlock() method is called. This number may vary slightly, because it will be dependent on audio hardware callbacks, and these aren't guaranteed to always use a constant block size, so the source should be able to cope with small variations.
  sampleRate | the sample rate that the output will be used at - this is needed by sources such as tone generators.

See also
  releaseResources, getNextAudioBlock

Implements AudioSource.

## ◆ releaseResources()

void ReverbAudioSource::releaseResources | ( |  | ) |
| override virtual

Allows the source to release anything it no longer needs after playback has stopped.

This will be called when the source is no longer going to have its getNextAudioBlock() method called, so it should release any spare memory, etc. that it might have allocated during the prepareToPlay() call.

Note that there's no guarantee that prepareToPlay() will actually have been called before releaseResources(), and it may be called more than once in succession, so make sure your code is robust and doesn't make any assumptions about when it will be called.

See also
  prepareToPlay, getNextAudioBlock

Implements AudioSource.

## ◆ getNextAudioBlock()

void ReverbAudioSource::getNextAudioBlock | ( | const AudioSourceChannelInfo & | bufferToFill | ) |
| override virtual

Called repeatedly to fetch subsequent blocks of audio data.

After calling the prepareToPlay() method, this callback will be made each time the audio playback hardware (or whatever other destination the audio data is going to) needs another block of data.

It will generally be called on a high-priority system thread, or possibly even an interrupt, so be careful not to do too much work here, as that will cause audio glitches!

See also
  AudioSourceChannelInfo, prepareToPlay, releaseResources

Implements AudioSource.

The documentation for this class was generated from the following file:

- juce_ReverbAudioSource.h